E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::ExecutableCommand Class Reference

A structure representing an external program, holding a path and a set of arguments. More...

`#include <gexecutablecommand.h>`

## Public Member Functions
| ExecutableCommand (const std::string &command_line=std::string())
| Constructor taking a complete command-line. More...
| ExecutableCommand (const G::Path &exe, const StringArray &args, bool os_add_wrapper=true)
| Constructor taking the executable and arguments explicitly.
Path | exe () const
| Returns the executable.
StringArray | args () const
| Returns the command-line arguments.
void | add (const std::string &arg)
| Adds a command-line argument.
std::string | displayString () const
| Returns a printable representation for logging and diagnostics.

## Detailed Description

A structure representing an external program, holding a path and a set of arguments.

The constructor takes a complete command-line and splits it up into the executable part and a list of command-line parameters. If the command-line starts with a script then the contructed command-line may be for the appropriate interpreter (depending on the o/s).

See also
  G::Path, G::Args

Definition at line 43 of file gexecutablecommand.h.

## Constructor & Destructor Documentation

G::ExecutableCommand::ExecutableCommand | ( | const std::string & | command_line = `std::string()` | ) |
| explicit

Constructor taking a complete command-line.

The command-line is split up on unescaped-and-unquoted space characters.

Definition at line 26 of file gexecutablecommand.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gexecutablecommand.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gexecutablecommand.cpp
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gexecutablecommand_unix.cpp